/**
*Programme cree par The Clusters
*Classe ThreadActu4j du jeu "Chkoba"
* Classe qui actualise le IHMPlateau4j a chaque fois qu'un joueur joue
* Ce qui donne une impression de fluidite
*@author The Clusters
*@version 1.0
*@see ThreadActu
**/

package chkoba;
import chkoba.*;

/**
*	Classe Thread a 4 joueurs
*/

public class ThreadActu4j extends Thread 
{

	IHMPlateau4j ihmPlateau;
	
	public ThreadActu4j (IHMPlateau4j p)
	{
		ihmPlateau = p;
	}
	
	/**
	* Methode appele a l'instruction start()
	*/
	public void run()
	{
		try
		{
			IJoueur jCourantDuMoment =ihmPlateau.getPlateau().getJoueurCourant(); 
			IJoueur jCourant = ihmPlateau.getPlateau().getJoueurCourant(); 
			while(true)
			{
				if(ihmPlateau.getPlateau().resteCartes() ==false)
					break;
				if(jCourantDuMoment.compareTo(jCourant)==1)
				{
					ihmPlateau.actualiser();
					System.out.println("Actu");
					jCourantDuMoment = jCourant;
				}
				jCourant = ihmPlateau.getPlateau().getJoueurCourant(); 
				sleep(100);
			}
			ihmPlateau.actualiser();
		}
		catch (Exception e)
		{
			System.out.println("ouch!\n");
			return;
		}
	}

}